# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/)
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [v2.0.0](https://github.com/es-shims/Object.getPrototypeOf/compare/v1.0.0...v2.0.0) - 2020-12-24

### Commits

- [Tests] migrate tests to Github Actions [`93b30a1`](https://github.com/es-shims/Object.getPrototypeOf/commit/93b30a106e59b6db08815854aadf9c3c210bb1b1)
- Implementation [`e9a6930`](https://github.com/es-shims/Object.getPrototypeOf/commit/e9a6930ab431ec9ccc4c4e256a68b8c7dfac1994)
- [meta] do not publish github action workflow files [`d0bb143`](https://github.com/es-shims/Object.getPrototypeOf/commit/d0bb143fe5a9aee643896b962daf7f2f350331d0)
- Tests [`e0d72e0`](https://github.com/es-shims/Object.getPrototypeOf/commit/e0d72e0a4c03a2f180e3784382958100766155c6)
- [meta] update .gitignore [`422f05c`](https://github.com/es-shims/Object.getPrototypeOf/commit/422f05c0f8bd0fb0a1e4be2fad72a05d73bc98bd)
- readme [`f48eac0`](https://github.com/es-shims/Object.getPrototypeOf/commit/f48eac0867b06deb816b334a32dd2145cfcdf400)
- [meta] update package.json [`020d703`](https://github.com/es-shims/Object.getPrototypeOf/commit/020d7030be338262913e4100e954a85601a3741d)
- [Dev Deps] update `eslint`, `@ljharb/eslint-config`, `aud`, `auto-changelog`, `tape` [`240d6e9`](https://github.com/es-shims/Object.getPrototypeOf/commit/240d6e967a05c3f2a854ab894ecbb13abcf7e119)
- [meta] add `auto-changelog` [`de87a4d`](https://github.com/es-shims/Object.getPrototypeOf/commit/de87a4df27902979a32b2e27f6d5cb361ee6975f)
- [Tests] run `nyc` on all tests [`4e21d00`](https://github.com/es-shims/Object.getPrototypeOf/commit/4e21d001847c5ae4b759898e9481e3803a227e91)
- [Refactor] use `call-bind`, `get-intrinsic` instead of `es-abstract` where appropriate; update `es-abstract` [`e1e0d7e`](https://github.com/es-shims/Object.getPrototypeOf/commit/e1e0d7e65ff57624c467fcb6bb94b2a713d328fa)
- [Fix] `polyfill`: handle engines where `Object.getPrototypeOf` throws on object-coercible primitives [`99ef2c2`](https://github.com/es-shims/Object.getPrototypeOf/commit/99ef2c2c97ac68e49a6b702492998b92f74d7944)
- [actions] add automatic rebasing / merge commit blocking [`fe9c32f`](https://github.com/es-shims/Object.getPrototypeOf/commit/fe9c32fa996704d1263d0cbfce3590f993a7e168)
- [Fix] add missing `auto` "exports" entrypoint [`1fa0738`](https://github.com/es-shims/Object.getPrototypeOf/commit/1fa07382650e37927e0d63242f971e3c7f6dc5a3)
- [actions] add "Allow Edits" workflow [`1f2f637`](https://github.com/es-shims/Object.getPrototypeOf/commit/1f2f637874631cfd914a3bd598353e62bab0a272)
- [Tests] add `npm run lint` [`46e838f`](https://github.com/es-shims/Object.getPrototypeOf/commit/46e838f83a54e6c4b27a327f87cd157d0b8569a2)
- [Tests] use shared travis-ci configs [`c02a549`](https://github.com/es-shims/Object.getPrototypeOf/commit/c02a549a70f5335ddce738b9be67a5ed05ff372a)
- [readme] remove travis badge [`bd834c2`](https://github.com/es-shims/Object.getPrototypeOf/commit/bd834c25d95d311048457e232423c7b9b1973bf5)
- [meta] update license [`6a86d4d`](https://github.com/es-shims/Object.getPrototypeOf/commit/6a86d4da1561f464fa3d93e484248f2e6169a041)
- Only apps should have lockfiles [`705b426`](https://github.com/es-shims/Object.getPrototypeOf/commit/705b42605f71b50ea002738a73540bbca9135016)
- [actions] switch Automatic Rebase workflow to `pull_request_target` event [`5debc6b`](https://github.com/es-shims/Object.getPrototypeOf/commit/5debc6bf86a8857c989fc9d1e110c67e94dfdecb)
- [meta] add `funding` field [`77bb1ce`](https://github.com/es-shims/Object.getPrototypeOf/commit/77bb1ce456183c6c1837840e1c930b2895bb2465)
- [Tests] run `es-shim-api` postlint [`c3173fd`](https://github.com/es-shims/Object.getPrototypeOf/commit/c3173fdf79b9036d54f32a8a5698391f11a68eff)
- [Deps] update `which-builtin-type` [`21a840b`](https://github.com/es-shims/Object.getPrototypeOf/commit/21a840ba23dcbda0e3e452f431a4b88e3af1ee31)
- [meta] add `safe-publish-latest` [`4691320`](https://github.com/es-shims/Object.getPrototypeOf/commit/4691320b92fa9cc0dcb411fb4093e298a04d6cc2)

## v1.0.0 - 2014-10-12

### Commits

- &lt;3 [`4751ac2`](https://github.com/es-shims/Object.getPrototypeOf/commit/4751ac25c20fb7117e7956b123a4cdd7fd944124)
- Initial commit [`3297015`](https://github.com/es-shims/Object.getPrototypeOf/commit/32970157d24409ca394e4cea35d6d5b9cfe1230a)
- Update README.md [`52d680b`](https://github.com/es-shims/Object.getPrototypeOf/commit/52d680b882855abe3db7acc10ba4ad864ba13a18)
- Update README.md [`f2a5d3d`](https://github.com/es-shims/Object.getPrototypeOf/commit/f2a5d3d18b5d9a3bb718c2d197a2a7ff1bd243e7)
